import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterSubmitRepresentativeService = createAsyncThunk(
  "SLAUGHTER_SUBMIT_REPRESENTATIVE_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.post("representative/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return {
        error:
          e.response?.data?.result ||
          e.response?.data ||
          "خطا در ثبت نماینده",
      };
    }
  }
);

export const slaughterEditRepresentativeService = createAsyncThunk(
  "SLAUGHTER_EDIT_REPRESENTATIVE_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.put("representative/0/", d);
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return {
        error:
          e.response?.data?.result ||
          e.response?.data ||
          "خطا در ویرایش نماینده",
      };
    }
  }
);

